server {
    listen       80;
    server_name  localhost;
    #vue项目的打包后的dist
    root         /var/www/html;
    location / {
      add_header Access-Control-Allow-Origin *;
      add_header X-Frame-Options ALLOWALL;
      add_header X-Content-Type-Options nosniff;
      add_header X-XSS-Protection "1; mode=block";
      try_files $uri $uri/ @router;#需要指向下面的@router否则会出现vue的路由在nginx中刷新出现404
      index  index.html index.htm;
    }

    #对应上面的@router，主要原因是路由的路径资源并不是一个真实的路径，所以无法找到具体的文件
    #因此需要rewrite到index.html中，然后交给路由在处理请求资源
    location @router {
      rewrite ^.*$ /index.html last;
    }
}
